iOS notifications broken?


#1

Are they broken? I’m running 0.64.3. They were working previously and now long longer work.

From the error log:

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3.6/site-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘ios-push.home-assistant.io’, port=443): Max retries exceeded with url: /push (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x706521d0>: Failed to establish a new connection: [Errno -3] Try again’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/homeassistant/core.py”, line 1010, in _event_to_service_call
yield from service_handler.func(service_call)
File “/usr/lib/python3.6/site-packages/homeassistant/components/notify/init.py”, line 137, in async_notify_message
yield from notify_service.async_send_message(**kwargs)
File “/usr/lib/python3.6/asyncio/futures.py”, line 332, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.6/asyncio/tasks.py”, line 250, in _wakeup
future.result()
File “/usr/lib/python3.6/asyncio/futures.py”, line 245, in result
raise self._exception
File “/usr/lib/python3.6/concurrent/futures/thread.py”, line 56, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/lib/python3.6/site-packages/homeassistant/components/notify/ios.py”, line 94, in send_message
req = requests.post(PUSH_URL, json=data, timeout=10)
File “/usr/lib/python3.6/site-packages/requests/api.py”, line 112, in post
return request(‘post’, url, data=data, json=json, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 508, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 618, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘ios-push.home-assistant.io’, port=443): Max retries exceeded with url: /push (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x706521d0>: Failed to establish a new connection: [Errno -3] Try again’,))


#2

I’ve been getting my notifications today (last one was while writing this).
It looks like a connection issue, but I don’t know why.


#3

I have the same error as kophinos.


#4

I am loosing my connection to the iOS and Device tracker components along with the Notify platform, more often after the newest update to Hass. It has never been flawless, but now it seems a bit extreme.


#5

Have you tried Updating Push Settings in the iOS app? I’ve had no troubles with my push notifications and can confirm they work fine.


#6

Working fine for me as well. Updated HassIO to 64.3 yesterday. Updated ResinOS to 1.3


#7

Yes, I’ve tried updating push settings.


#8

I have the same issue as @kophinos!

My iOS notifications worked fine until a couple of days ago when they stopped arriving to our phones. I run Hass.io 0.64.3 on a RPi3 with the DuckDNS add-on.

I have updated the iOS app and reinstalled without success.

I get the same errors in the log when I trigger an automation that send notifications.

I don’t understand what they mean but maybe someone smarter could figure out whats wrong?

018-03-07 09:21:17 ERROR (MainThread) [homeassistant.core] Error executing service <ServiceCall notify.ios_lindas_iphone_app: message=<homeassistant.helpers.template.Template object at 0x6fb351d0>, title=<homeassistant.helpers.template.Template object at 0x6fb35dd0>>
Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/usr/lib/python3.6/site-packages/urllib3/util/connection.py”, line 60, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File “/usr/lib/python3.6/socket.py”, line 745, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 601, in urlopen
chunked=chunked)
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 346, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 850, in _validate_conn
conn.connect()
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 284, in connect
conn = self._new_conn()
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x70074070>: Failed to establish a new connection: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3.6/site-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘ios-push.home-assistant.io’, port=443): Max retries exceeded with url: /push (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x70074070>: Failed to establish a new connection: [Errno -3] Try again’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/homeassistant/core.py”, line 1010, in _event_to_service_call
yield from service_handler.func(service_call)
File “/usr/lib/python3.6/site-packages/homeassistant/components/notify/init.py”, line 137, in async_notify_message
yield from notify_service.async_send_message(**kwargs)
File “/usr/lib/python3.6/asyncio/futures.py”, line 332, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.6/asyncio/tasks.py”, line 250, in _wakeup
future.result()
File “/usr/lib/python3.6/asyncio/futures.py”, line 245, in result
raise self._exception
File “/usr/lib/python3.6/concurrent/futures/thread.py”, line 56, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/lib/python3.6/site-packages/homeassistant/components/notify/ios.py”, line 94, in send_message
req = requests.post(PUSH_URL, json=data, timeout=10)
File “/usr/lib/python3.6/site-packages/requests/api.py”, line 112, in post
return request(‘post’, url, data=data, json=json, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 508, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 618, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘ios-push.home-assistant.io’, port=443): Max retries exceeded with url: /push (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x70074070>: Failed to establish a new connection: [Errno -3] Try again’,))
2018-03-07 09:21:17 ERROR (MainThread) [homeassistant.core] Error executing service <ServiceCall notify.ios_arons_iphone_app: message=<homeassistant.helpers.template.Template object at 0x6fb35550>, title=<homeassistant.helpers.template.Template object at 0x6fb35fd0>>
Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/usr/lib/python3.6/site-packages/urllib3/util/connection.py”, line 60, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File “/usr/lib/python3.6/socket.py”, line 745, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 601, in urlopen
chunked=chunked)
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 346, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 850, in _validate_conn
conn.connect()
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 284, in connect
conn = self._new_conn()
File “/usr/lib/python3.6/site-packages/urllib3/connection.py”, line 150, in _new_conn
self, “Failed to establish a new connection: %s” % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x6ffcd890>: Failed to establish a new connection: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 440, in send
timeout=timeout
File “/usr/lib/python3.6/site-packages/urllib3/connectionpool.py”, line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3.6/site-packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘ios-push.home-assistant.io’, port=443): Max retries exceeded with url: /push (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x6ffcd890>: Failed to establish a new connection: [Errno -3] Try again’,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/homeassistant/core.py”, line 1010, in _event_to_service_call
yield from service_handler.func(service_call)
File “/usr/lib/python3.6/site-packages/homeassistant/components/notify/init.py”, line 137, in async_notify_message
yield from notify_service.async_send_message(**kwargs)
File “/usr/lib/python3.6/asyncio/futures.py”, line 332, in iter
yield self # This tells Task to wait for completion.
File “/usr/lib/python3.6/asyncio/tasks.py”, line 250, in _wakeup
future.result()
File “/usr/lib/python3.6/asyncio/futures.py”, line 245, in result
raise self._exception
File “/usr/lib/python3.6/concurrent/futures/thread.py”, line 56, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/lib/python3.6/site-packages/homeassistant/components/notify/ios.py”, line 94, in send_message
req = requests.post(PUSH_URL, json=data, timeout=10)
File “/usr/lib/python3.6/site-packages/requests/api.py”, line 112, in post
return request(‘post’, url, data=data, json=json, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 508, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3.6/site-packages/requests/sessions.py”, line 618, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3.6/site-packages/requests/adapters.py”, line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘ios-push.home-assistant.io’, port=443): Max retries exceeded with url: /push (Caused by NewConnectionError(’<urllib3.connection.VerifiedHTTPSConnection object at 0x6ffcd890>: Failed to establish a new connection: [Errno -3] Try again’,))


#9

I’m getting the same error in my log indicating a problem connecting to ios-push.home-assistant.io’.

I do not have a cloud account setup for Hassio.
Could that be the reason?

Thanks,
rschoolm


#10

I updated everything again, including Hass.io supervisor and Host system. I then rebooted the RPi3, not just the Hass.io service, and it seems to have solved the issue for me. Worth a try!


#11

I figured out my problem. I was running dnsmasq with a host entry to resolve HA to an internal IP when on network. I turned off dnsmasq and now everything is working.

Root Cause:
dnsmasq requires you specify the parameter “interface” when running on hassio (rassbian). For some reason the dnsmasq will not take the interface setting. This caused dnsmasq to listen on all interfaces and broke name resolution for some services.

rschoolm


#12

How did you disable dnsmasq on hassio? Does disabling it cause other issues?


#13

It was an Add-On that I loaded. I simply went into the add on and clicked on stop.


#14

I’m not running a dnsmasq addon. However, it appears dnsmasq is installed/used as a function of the Pi-Hole addon which I am currently using. I’m not sure how I can adjust that to allow iOS notifications to work again.


#15

Did you ever figure this out? I’m having the same issue with pi hole


#16

I’m having the same issue here. I can receive home exit/entered notifications though